
entityBaseName = "gun-turret"

-- A dash is seen as a lua-specific character with a meaning.
escapedEntityBaseName = "gun%-turret"

upgradeNames = {"range", "armor"}

-- Entities.
upgrades = {
	[1] = {
		upgradeName = "range",
		-- Change its range parameter.
		valueName = "attack_parameters.range",
		-- The values to change it to.
		-- The first value is the value it starts at.
		values = {17, 18, 19, 20, 21, 22},
	},
	[2] = {
		upgradeName = "armor",
		valueName = "max_health",
		values = {200, 250, 300, 350, 400, 450},
	},
}

-- Technologies:
baseTechRequirements = {"turrets"}
technologies = { -- Name, time, amount, numRed, numGreen, numBlue, numPurple.
					{"range", 30, 100, 1},
					{"range", 30, 150, 1, 1},
					{"range", 60, 100, 2, 2, 1},
					{"range", 60, 150, 2, 2, 1},
					{"range", 60, 200, 2, 2, 1, 1},
					
					{"armor", 30, 100, 1},
					{"armor", 30, 150, 1, 1},
					{"armor", 60, 100, 2, 2, 1},
					{"armor", 60, 150, 2, 2, 1},
					{"armor", 60, 200, 2, 2, 1, 1},
				}